var slotsfinderOptions = {
	prefs: Components.classes["@mozilla.org/preferences-service;1"]
		.getService(Components.interfaces.nsIPrefService)
		.getBranch("extensions.slotsfinder."),
	onAccept:function(){
		
	},
	onLoad:function(e){
		//slotsfinderOptions.debug = document.getElementById("slotsfinderOptions-debug");
		
		window.opener.slotsfinder.optionsDocument = document;
		
		
		slotsfinderOptions.getMenuitemByValue = window.opener.slotsfinder.getMenuitemByValue;
		slotsfinderOptions.modifyInputs = window.opener.slotsfinder.modifyInputs;
		slotsfinderOptions.setOnePref = window.opener.slotsfinder.setOnePref;
		slotsfinderOptions.onAccept = function(){
			slotsfinderOptions.modifyInputs(window.opener.slotsfinder.inputs);
			return true;
		}
		
		slotsfinderOptions.inputs = {
			paylines:document.getElementById("slotsfinderOptions-paylines-input"),
			
			bonus_round	:document.getElementById("slotsfinderOptions-bonus-input"),
			free_spins	:document.getElementById("slotsfinderOptions-freespins-input"),
			progressive	:document.getElementById("slotsfinderOptions-progressive-input"),
			skill_stop	:document.getElementById("slotsfinderOptions-skillstop-input"),
			
			scatter	:document.getElementById("slotsfinderOptions-scatter-input"),
			wild	:document.getElementById("slotsfinderOptions-wild-input"),
			multiplier	:document.getElementById("slotsfinderOptions-multiplier-input"),
			autoplay	:document.getElementById("slotsfinderOptions-autoplay-input"),
			fun_money	:document.getElementById("slotsfinderOptions-funmoney-input"),
			instant_play	:document.getElementById("slotsfinderOptions-instant-input")
			
		};
		
//		var pl = {"All":1};
//		for(var i = 0, l = slotsList.length;i < l; i++){
//			pl[slotsList[i][2]] = 1;
//		}
		
		var paylinespopup = document.getElementById("slotsfinderOptions-paylines-popup");
		
//		for (var paylines in pl){
//			var tempItem = document.createElement("menuitem");
//			tempItem.setAttribute("label", paylines);
//			tempItem.setAttribute("value", paylines);
//			paylinespopup.appendChild(tempItem);
//		}
		
		var parsedSlotsListCategories = window.opener.slotsfinder.getCalculatedItems();
		
		for(var i = 0, l = parsedSlotsListCategories.paylines.length; i<l; i++){
			var tempItem = document.createElement("menuitem");
			var paylines = parsedSlotsListCategories.paylines[i];
			tempItem.setAttribute("label", paylines);
			tempItem.setAttribute("value", paylines);
			paylinespopup.appendChild(tempItem);
		}
		
		
		
		//slotsfinderOptions.debug.setAttribute('value', '');
		for(var i in slotsfinderOptions.inputs){
			(function(){
				var curr = i;
				var currInput = slotsfinderOptions.inputs[i];
				
				currInput.addEventListener('command',function(e){
					//slotsfinderOptions.debug.setAttribute('value', curr + currInput.checked)
					if(currInput.tagName =='checkbox'){
						//slotsfinderOptions.debug.setAttribute('value', curr + currInput.checked)
						slotsfinderOptions.setOnePref(curr,currInput.checked);
					} else {
						//slotsfinderOptions.debug.setAttribute('value', curr + currInput.getAttribute('value'))
						slotsfinderOptions.setOnePref(curr,currInput.getAttribute('value'));
					}
					slotsfinderOptions.modifyInputs(slotsfinderOptions.inputs);
					//slotsfinderOptions.debug.setAttribute('value', 'command '+e.target.getAttribute('value'));
				},false);
					
					
			})();
		}
		
//		var win = document.getElementById("slotsfinderPreferences");
		
//		win.addEventListener('click',function(e){
//			slotsfinderOptions.debug.setAttribute('value', 'click1');
//			for(var i in slotsfinderOptions.inputs){
//				slotsfinderOptions.debug.setAttribute('value', 'click2 ' + i+ ':' + slotsfinderOptions.inputs[i]+ ":" + slotsfinderOptions.inputs[i].getAttribute('value'));
//				
//				slotsfinderOptions.setOnePref(i,slotsfinderOptions.inputs[i].getAttribute('value'));
//				slotsfinderOptions.debug.setAttribute('value', 'click3');
//			}
//			slotsfinderOptions.debug.setAttribute('value', 'click4');
//			slotsfinderOptions.modifyInputs(slotsfinderOptions.inputs);
//			slotsfinderOptions.debug.setAttribute('value', 'click5');
//		},false);
		
		
		
		var currPaylines = (slotsfinderOptions.prefs.prefHasUserValue("paylines"))?slotsfinderOptions.prefs.getCharPref("paylines"):"All"
		slotsfinderOptions.inputs.paylines.selectedItem = slotsfinderOptions.getMenuitemByValue(slotsfinderOptions.inputs.paylines,currPaylines);


		var qwer = setTimeout(function(){
			slotsfinderOptions.modifyInputs(slotsfinderOptions.inputs);
		},10)
	}
}
window.addEventListener("load", slotsfinderOptions.onLoad, false);
//window.addEventListener("onpaneload", slotsfinderOptions.onLoad, false);
